## edu.cwru.SimpleRTS.model.resource
Enum ResourceNode.Type

    java.lang.Object
      java.lang.Enum<ResourceNode.Type>
          edu.cwru.SimpleRTS.model.resource.ResourceNode.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ResourceNode.Type>

Enclosing class:
  ResourceNode

    public static enum ResourceNode.Type

extends java.lang.Enum<ResourceNode.Type>

Enum Constant Summary
`GOLD_MINE`
`TREE`

Method Summary
`static ResourceType` `getResourceType(ResourceNode.Type t)`
`static ResourceNode.Type` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ResourceNode.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TREE

    public static final ResourceNode.Type TREE

### GOLD_MINE

    public static final ResourceNode.Type GOLD_MINE

Method Detail

### values

    public static ResourceNode.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ResourceNode.Type c : ResourceNode.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ResourceNode.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getResourceType

    public static ResourceType getResourceType(ResourceNode.Type t)